| Home | Libraries | People | FAQ | More

## Function template copy_until

boost::algorithm::copy_until — Copies all the elements at the start of the input range that do not satisfy the predicate to the output range.

## Synopsis

    // In header: <boost/algorithm/cxx11/copy_if.hpp>

    template<typename InputIterator, typename OutputIterator, typename Predicate>
      BOOST_CXX14_CONSTEXPR std::pair< InputIterator, OutputIterator >
      copy_until(InputIterator first, InputIterator last, OutputIterator result,
                 Predicate p);

## Description

Parameters: |
`first` | The start of the input sequence
`last` | One past the end of the input sequence
`p` | A predicate for testing the elements of the range
`result` | An output iterator to write the results into
Returns: | The updated output iterator